<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="core-service.management.access.audit.syslog-handler.protocol.tls.authentication.client-certificate-store" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="key-password,key-password-credential-reference,keystore-password,keystore-password-credential-reference,keystore-path,keystore-relative-to"/>
        <elem name="addr-params" value="host,core-service,access,syslog-handler,protocol,authentication"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.audit.handler.syslog-handler.$syslog-handler.authentication.client-certificate-store"/>
    </provides>
    <refs>
        <ref feature="core-service.management.access.audit.syslog-handler.protocol.tls"/>
        <ref feature="core-service.management.access.audit.syslog-handler"/>
        <ref feature="core-service.management.access.audit"/>
        <ref feature="core-service.management"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="protocol" feature-id="true" default="tls"/>
        <param name="access" feature-id="true" default="audit"/>
        <param name="keystore-path" nillable="true" stability="default"/>
        <param name="key-password-credential-reference" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="key-password" nillable="true" stability="default"/>
        <param name="keystore-relative-to" nillable="true" stability="default"/>
        <param name="syslog-handler" feature-id="true"/>
        <param name="keystore-password" nillable="true" stability="default"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="authentication" feature-id="true" default="client-certificate-store"/>
        <param name="keystore-password-credential-reference" nillable="true" stability="default"/>
    </params>
</feature-spec>